import { type Bingo } from './Bingo';
import { type Bonus } from './Bonus';
import { type BonusValue } from './BonusValue';
import { type Cell } from './Cell';
import { type ConfigJson } from './ConfigJson';
import { type Game } from './Game';
import { type Locale } from './Locale';
import { type Tile } from './Tile';
import { type TileConfig } from './TileConfig';
export declare class Config {
    static fromJson: (json: ConfigJson) => Config;
    readonly bonuses: Bonus[];
    readonly config: ConfigJson;
    readonly pointsMap: Record<string, number>;
    constructor(config: ConfigJson);
    get alphabet(): string[];
    get bingo(): Bingo;
    get blankScore(): number;
    get blanksCount(): number;
    get boardHeight(): number;
    get boardWidth(): number;
    get game(): Game;
    get locale(): Locale;
    get twoCharacterTiles(): string[];
    getCellBonus(cell: Cell): Bonus | undefined;
    getCellBonusValue(cell: Cell): BonusValue;
    getCharacterPoints(character: string | null): number | undefined;
    getTwoCharacterTileByPrefix(character: string): string | undefined;
    getTilePoints(tile: Tile | null): number | undefined;
    hasCharacter(character: string): boolean;
    isTwoCharacterTilePrefix(character: string): boolean;
    get rackSize(): number;
    get supportsRemainingTiles(): boolean;
    get tiles(): TileConfig[];
    toJson(): ConfigJson;
}
